# Files
utils_src = files()
subdir('source/ecs_utils')

utils_inc = include_directories('source/')

# Dependencies
ecs_utils_lib = library('ecs_utils', utils_src,
	include_directories : [demos_inc, external_inc, utils_inc],
	link_args : link_args, 
	d_module_versions : versions,
	dependencies : [
		decs_dep,
		bindbc_loader_dep,
		bindbc_sdl_dep,
	]
)

ecs_utils_dep = declare_dependency(
	include_directories : utils_inc,
	link_with : ecs_utils_lib,
)
#shared_library('ecs_utils', utils_src, include_directories : [utils_inc], d_args: args, link_args: link_args, link_with: ecs_lib)


